Bug 819723 - RFE - Click "Add" in "Find Users To Add" should not close the dialog
RFE - Click "Add" in "Find Users To Add" should not close the dialog
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6.1
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 00:27 EDT by Ding-Yi Chen
Modified: 2012-07-03 01:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120628-0014)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-05-08 00:27:24 EDT
Description of problem:
When using "Find Users To Add" dialog to add users to a language team, 
it is expetected that clicking on the "Add" not only the user is added, but the dialog should remain opened for adding next users.

However, in this version, the "Find Users To Add" dialog is immediated closed, which is not very convenient for admin or language coordinators to add multiple users.

Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-3-SNAPSHOT (20120508-0019)

How reproducible:
Always

Steps to Reproduce:
1. Sign in as admin or language coordinator.
2. Click Languages -> Add Team Member
3. At this point the "Find Users To Add" dialog should pop-up.
4. Search for 'd'
5. Click "Add" on any user.
  
Actual results:
The "Find Users To Add" dialog is immediately closed. The user is correctly added to the language team though.

Expected results:
The "Find Users To Add" dialog remain opened.
Comment 2 Ding-Yi Chen 2012-06-28 00:59:42 EDT
Verified with Zanata version 1.6.1-SNAPSHOT (20120628-0014)
Zanata version 1.7-SNAPSHOT (20120626-0025)

Note You need to log in before you can comment on or make changes to this bug.